## org.eclipse.ocl.expressions
Interface BooleanLiteralExp<C>

All Superinterfaces:
  ASTNode, EObject, LiteralExp<C>, Notifier, OCLExpression<C>, PrimitiveLiteralExp<C>, TypedElement<C>, Visitable

All Known Subinterfaces:
  BooleanLiteralExp

All Known Implementing Classes:
  BooleanLiteralExpImpl, BooleanLiteralExpImpl

    public interface BooleanLiteralExp<C>

extends PrimitiveLiteralExp<C>

A representation of the model object 'Boolean Literal Exp'.

The following features are supported:

- `Boolean Symbol`

See Also:
  `ExpressionsPackage.getBooleanLiteralExp()`

Method Summary
`boolean` `checkBooleanType(DiagnosticChain diagnostics, Map<Object,Object> context)` self.type.name = 'Boolean'
`Boolean` `getBooleanSymbol()` Returns the value of the 'Boolean Symbol' attribute
`void` `setBooleanSymbol(Boolean value)` Sets the value of the '`Boolean Symbol`' attribute

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getBooleanSymbol

    Boolean getBooleanSymbol()

  Returns the value of the 'Boolean Symbol' attribute.

  If the meaning of the 'Boolean Symbol' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Boolean Symbol' attribute.
  See Also:
    `setBooleanSymbol(Boolean)`, `ExpressionsPackage.getBooleanLiteralExp_BooleanSymbol()`

### setBooleanSymbol

    void setBooleanSymbol(Boolean value)

  Sets the value of the '`Boolean Symbol`' attribute.

  Parameters:
    `value` - the new value of the 'Boolean Symbol' attribute.
  See Also:
    `getBooleanSymbol()`

### checkBooleanType

    boolean checkBooleanType(DiagnosticChain diagnostics,
                             Map<Object,Object> context)

  self.type.name = 'Boolean'

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.